Page MenuHomePhabricator

Flow: conversion of user talk page to Flow board triggers misleading "USER left a message" notification
Closed, ResolvedPublic

Description

The new Flow in 1.24wmf12 also switched Flow board to content handler. Quiddity visited all the pages to make them update. That triggered an Echo notification to Brandon (the only user with a Flow board talk page) that "Quiddity left a message on your talk page" and a link to a diff. However, the diff just takes me to my flow board.

From e-mail thread, bsitu comments

  • Access a brand new Flow user talk page, create a new topic, two notifications are generated: talk page notification + flow topic notification

The talk page notification only get triggered once for each page, any subsequent activities ( create topic, reply, edit ) doesn't seem to generate talk page notification. Both may be related to creating a dummy revision in the background before being Flow enabled, this probably triggers the normal onArticleSave hook in edit page, which triggers notification for talk page.

Ideally the Echo notification for a user talk page becoming a Flow board would be "Your user talk page converted to Flow board, woo-hoo" rather than this misleading "USER left a message on your talk page."


Version: master
Severity: normal

Details

Reference
bz67617

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:40 AM
bzimport set Reference to bz67617.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Jul 7 2014, 7:23 PM

Change 146630 had a related patch set uploaded by Legoktm:
Add bot group to Flow talkpage manager

https://gerrit.wikimedia.org/r/146630

Change 146630 merged by jenkins-bot:
Add bot group to Flow talkpage manager

https://gerrit.wikimedia.org/r/146630

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM